package com.liangjian.dataplatform.member.service;

import com.liangjian.dataplatform.member.entity.po.elasticsearch.AreaData;
import com.liangjian.dataplatform.member.entity.po.elasticsearch.AreaDataTag;
import com.liangjian.dataplatform.member.entity.vo.request.BirdGirdRequest;
import com.liangjian.dataplatform.member.entity.vo.response.BirdGirdTableResponse2;

import java.util.ArrayList;

/**
 * @author 黄树文
 * @date 2020/3/10 9:33
 */
public interface IAreaDataService {

    BirdGirdTableResponse2<AreaData> queryByCondition(BirdGirdRequest girdRequest);

    BirdGirdTableResponse2<AreaDataTag> findAreaDataTag(String kw, Integer page, Integer size);

    boolean deleteAreaDataTag(String id);

    boolean saveAllAreaDataTag(ArrayList<AreaDataTag> areaDataTags);
}
